aboutsummaryrefslogtreecommitdiff
path: root/sh/rc-functions.sh
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-04-17 00:07:09 +0000
committerMike Frysinger <vapier@gentoo.org>2007-04-17 00:07:09 +0000
commit2266255ac58158272ca7393e6abbffee89018005 (patch)
treef36ad85687631b7ac9a8f6b18426d2b4582167e5 /sh/rc-functions.sh
parentc688523fcc88470906c8dd0357783c9918fafeda (diff)
Allow addons to pass up their exit status in import_addon. Simplify /dev handling in init.sh and add mdev as an option.
Diffstat (limited to 'sh/rc-functions.sh')
-rwxr-xr-xsh/rc-functions.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/sh/rc-functions.sh b/sh/rc-functions.sh
index 586471dd..632060ad 100755
--- a/sh/rc-functions.sh
+++ b/sh/rc-functions.sh
@@ -6,11 +6,8 @@ has_addon() {
}
import_addon() {
- if has_addon "$1" ; then
- . "${RC_LIBDIR}/addons/$1.sh"
- return 0
- fi
- return 1
+ has_addon "$1" || return 1
+ . "${RC_LIBDIR}/addons/$1.sh"
}
start_addon() {